CREATE TABLE ego_base_expressions_b[ (
    EXPRESSION_ID              NUMBER(18, 0)     NOT NULL,
    EXPRESSION_NAME            VARCHAR2(200)     NOT NULL,
    EXPRESSION_TYPE            VARCHAR2(80)      NOT NULL,
    RETURN_TYPE                VARCHAR2(80)      NOT NULL,
    UNLIMITED_PARAMS           VARCHAR2(40)      NOT NULL,
    EXPRESSION_SYMBOL          VARCHAR2(20)  ,
    EXPRESSION_GROOVY          VARCHAR2(4000)    NOT NULL,
    EXPRESSION_SYNTAX          VARCHAR2(1600)    NOT NULL,
    EXAMPLES                   VARCHAR2(4000),
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    RETURN_TYPE_PARAM_INDEX    NUMBER(2, 0)  ,
    SEED_DATA_SOURCE           VARCHAR2(2048),
    ORA_SEED_SET1              VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2              VARCHAR2(4)       NOT NULL
);
